Available in VPC
Delete a DB user of a Cloud DB for PostgreSQL instance.Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpostgresql/v2/deleteCloudPostgresqlUserList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
cloudPostgresqlInstanceNo |
String | Required | Cloud DB for PostgreSQL instance number |
cloudPostgresqlUserList.N.name |
List[String] | Required | List of DB user account IDs to delete
|
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/deleteCloudPostgresqlUserList
?regionCode=KR
&cloudPostgresqlInstanceNo=****925
&cloudPostgresqlUserList.1.name=testuser' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the HTTP status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.
Response example
The response example is as follows:
- If
responseFormatType=json
{
"deleteCloudPostgresqlUserListResponse": {
"requestId": "2b42077d-****-****-****-99b56b5b001a",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<deleteCloudPostgresqlUserListResponse>
<requestId>2b42077d-****-****-****-99b56b5b001a</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
</deleteCloudPostgresqlUserListResponse>